<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/status_reactions"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:layout_marginTop="10dp"
    android:layout_marginBottom="10dp"
    android:orientation="horizontal"
    android:visibility="gone"
    app:layout_constraintBottom_toBottomOf="parent">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone">

        <app.fedilab.android.helper.MastalabAutoCompleteTextView
            android:id="@+id/fake_edittext"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:importantForAutofill="noExcludeDescendants"
            android:inputType="text" />
    </LinearLayout>

    <ImageView
        android:id="@+id/status_add_reaction"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginEnd="10dp"
        android:contentDescription="@string/add_reaction"
        android:src="@drawable/ic_add"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:tint="?attr/iconColor" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/reactions_view"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1" />

    <ImageView
        android:id="@+id/status_add_custom_emoji"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginStart="10dp"
        android:contentDescription="@string/add_reaction"
        android:src="@drawable/ic_insert_emoticon"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:tint="?attr/iconColor" />
</LinearLayout>